body{
    font: 15px/1.5 Arial, Helvetica, sans-serif;
    padding: 0;
    margin: 0;
    background-color: rgb(68, 68, 68);
    min-height: 100vh;
}

/*global*/
.container{
    width: 80%;
    margin: auto;
    overflow: hidden;
}

ul{
    margin: 0;
    padding: 0;
}

.button1{
    height: 38px;
    background: goldenrod;
    border: none;
    border-radius: 45px;
    padding: 0 20px;
    color: white;
    font-weight: bold;
}
.button1:hover{
    color: #000000;
    cursor: pointer; 
} 

.dark{
    padding: 25px;
    background: #577a5396;
    color: #ffffff;
    font-weight: bold;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    margin-top: 10px;
    margin-bottom: 10px;
    border-radius: 30px;
}
.darks{
    padding: 15px;
    color: #000000;
    font-weight: bold;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    margin-top: 10px;
    margin-bottom: 10px;
}
.page-title {
    background-color: goldenrod;
    border-radius: 45px;
    padding: 10px;
    text-align: center;
    text-transform: uppercase;
    border: solid 3px black; 
}

/*header*/
header{
    background: #b82121fa;
    color: #ffffff;
    padding-top: 30px;
    min-height: 70px;
    border-bottom: #e8491d 3px solid;
}
header a{
    color: #ffffff;
    text-decoration: none;
    font-size: 16px;
    transition: .4s ease;
}

header li{
    float: left;
    display: inline;
    padding: 0 20px 0 20px;
 }

header #branding{
    float: left;
}
header #branding h1 a{
    font-size: 32.5px;
    font-weight: bold;
}
header #branding h1{
    margin: 0;
}

header nav{
    float: right;
    margin-top: 15px;
}

header .highlight{
    color: goldenrod;
    font-weight: bold;
    transition: 1s ease-in;
}
header .highlight:hover{
    text-transform: uppercase;
    font-weight: bolder;
}

header .current a{
    color: goldenrod;
    font-weight: bold;
    background: #000000;
    border-radius: 45px;
    padding: 5px 10px;
    margin: 0;
}
header .current a:hover{
    color: #b82121fa;
    font-weight: bolder;
}

header nav a:hover{
    color: #000000;
    font-weight: bolder;
}

/*showcase*/
#showcase{
    min-height: 400px;
    background: linear-gradient(rgba(0, 0, 0, 0.5)50%, rgba(0, 0, 0, 0.5)50%), url('./images/showcase.jpg') no-repeat 0 -100px;
    background-size: cover;
    text-align: center;
    color: yellow;
}

#showcase h2{
    margin-top: 100px;
    font-size: 55px;
    margin-bottom: 10px;
}

#showcase p{
    font-size: 20px;
}

/*newsletter*/

#newsletter{
    padding: 15px;
    color: #ffffff;
    background-color: black;
    border-bottom: solid 3px gold;

}

#newsletter h2{
    text-transform: capitalize;
    float: left;
}

#newsletter form{
    float: right;
    margin-top: 15px;
}

#newsletter input[type='email']{
    border-radius: 15px;
    padding: 4px;
    height: 25px;
    width: 250px;
}

/*boxes*/

#boxes{
    margin-top: 20px;
}

#boxes .box{
    float: left;
    text-align: center;
    background-color: black;
    margin: 1%;
    color: gold;
    width: 27%;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-weight: bold;
    padding: 10px;
    border-radius: 30px;
}
#boxes .box img{
    width: 120px;
    height: 90px;
}

/*sidebar*/

#sidebar{
    float: right;
    width: 30%;
    margin-top: 10px;
}

.quote input, .quote textarea{
    width: 90%;
    padding: 5px 2px;
    border-radius: 25px;
}
/*mains-col*/

#mains-col{
    float: left;
    width: 65%;
}

/*services*/

#services li{
    list-style: none;
    padding: 20px;
    border: #cccccc solid 1px;
    margin-bottom: 5px;
    border-radius: 45px;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    font-weight: bold;
    background: #b82121fa;
}

#services h3{
    background-color: black;
    color: goldenrod;
    border-radius: 45px;
    padding: 10px 10px;
    text-align: center;
    font-style: italic;
    font-weight: 900;
    float: none;    
    text-transform: uppercase;
    border: none; 
}

footer{
    padding: 20px;  
    margin: 10% 0 0 0;
    color: yellow;
    background-color: black;
    text-align: center;
}

/*media queries*/

@media(max-width: 768px){
    header #branding, header nav, header nav li, #newsletter h1, #newsletter form, article#mains-col, aside#sidebar{
        float: none;
        text-align: center;
        width: 100%;
    }
    #boxes .box{
        float: none;
        text-align: center;
        width: 92.5%;
    }
    header{
        padding-bottom: 20px;
    }
    #showcase h1{
        margin-top: 40px;
    }
    #newsletter button, .quote button{
        display: block;
        width: 100%;
    }
    #newsletter form input[type="email"], .quote input, .quote textarea{
        width: 98%;
        margin-bottom: 5px;
    }
}

